﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RibbonTabToCommand
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        static MainWindow()
        {

        }

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            RadRibbonTabSelectionChangedCommand = new DelegateCommand(OnRibbonTabSelectionChanged);
        }

        private void OnRibbonTabSelectionChanged(object e)
        {
            if ((e as RadSelectionChangedEventArgs).AddedItems.Count == 0) return;

            Debug.WriteLine("SelectedIndex : " + MainRadRibbon.SelectedIndex);
               RadRibbonView ribbon = (e as RadSelectionChangedEventArgs).Source as RadRibbonView;
           

                var ribbonTab = MainRadRibbon.SelectedItem;
                if (ribbonTab != null)
                {
                    string header = (ribbonTab as RadRibbonTab).Header.ToString();
                    Uri uri = null;
                    switch (header)
                    {
                        case "Tab1":
                            uri = new Uri("Module1.Views.Home", UriKind.Relative);
                            break;
                        case "Tab2":
                            uri = new Uri("Module2.Views.Home", UriKind.Relative);
                            break;
                    }
                }
        }

        public DelegateCommand RadRibbonTabSelectionChangedCommand { get; set; }
    }
}
